import { feature } from 'topojson';
import { csv,tsv, json } from 'd3';
export const loadAndProcessData = () => 

Promise.all([
	json('https://gist.githubusercontent.com/dakoop/69c31771a040f8be86d73e7b31de6528/raw/daf94ffbe5ff7740cd92e4f5691a33b05a4ecc1b/ma-towns.json'),
  csv('https://gist.githubusercontent.com/dakoop/69c31771a040f8be86d73e7b31de6528/raw/daf94ffbe5ff7740cd92e4f5691a33b05a4ecc1b/ma-housing-affordability.csv')
]).then( ([csvData, topoJSONdata]) => {
  	const rowById = tsvData.reduce( (accumulator, d) => {
    	accumulator[d.iso_n3] = d;
      return accumulator;
    }, {});
  
  const countries = feature(topoJSONdata, topoJSONdata.objects.countries);
  
  countries.features.forEach(d => {
  	Object.assign(d.properties, rowById[d.id]);
  });
  
  return countries;
});